/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for EctopicBeatMorphology
 */
public enum EnumCV_EctopicBeatMorphology
{
	VENTRICULAR_TACHYCARDIA_D3_31700("D3-31700"),
	VENTRICULAR_BIGEMINY_F_33750("F-33750"),
	MULTIFOCAL_PVCS_D3_31744("D3-31744"),
	UNIFOCAL_PVCS_D3_31742("D3-31742"),
	VENTRICULAR_TACHYCARDIA_POLYMORPHIC_D3_31704("D3-31704");
	
	private String value;

	EnumCV_EctopicBeatMorphology(String strvalue)
	{
		this.value = strvalue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}

}
